Last Comment Bug 120035 - new_window* signals need revamping/substituting for language bindings
: new_window* signals need revamping/substituting for language bindings
Status: NEW
:
Product: Core Graveyard
Classification: Graveyard
Component: Embedding: GTK Widget (show other bugs)
: Trunk
: x86 Linux
-- normal with 2 votes (vote)
: Future
Assigned To: Christopher Blizzard (:blizzard)
:
:
Mentors:
Depends on: 121253
Blocks: gtk2
  Show dependency treegraph
 
Reported: 2002-01-14 22:23 PST by Mark Crichton
Modified: 2012-04-05 00:46 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to add new_window2 signal (3.26 KB, patch)
2002-03-19 08:16 PST, Mark Crichton
no flags Details | Diff | Splinter Review
added NEW_WINDOW2 to gtkmozembedprivate.h (3.54 KB, patch)
2002-06-13 07:50 PDT, Markus Schaber
no flags Details | Diff | Splinter Review
new_window2 implementation for gtk1 and gtk2 (5.36 KB, patch)
2002-12-12 12:01 PST, Mark Crichton
no flags Details | Diff | Splinter Review

Description User image Mark Crichton 2002-01-14 22:23:59 PST
The current implementation of the new_window signal makes writing language bindings for the gtkmozembed widget extremely cumbersome.  A better way to handle this signal is to do a "proper" return of the GtkMozEmbed pointer, rather than stuffing it into space saved for it my the function call.



The easiest way to do this change (and keep people who already use the current API) is to create another set of signals that instead of returning void, return a GtkMozEmbed widget.
Comment 1 User image Mark Crichton 2002-03-18 20:50:45 PST
This one doesn't seem to be fixed at all.  Chris, we talked about this a while
back.  Would making a new_window2 signal be the sane thing to do here?
Comment 2 User image Christopher Blizzard (:blizzard) 2002-03-18 23:10:23 PST
Yep.
Comment 3 User image Mark Crichton 2002-03-19 08:16:25 PST
Created attachment 74975 [details] [diff] [review]
Patch to add new_window2 signal

patch to add new_window2 signal with different semantics.  This version is 
much friendlier to language bindings.
Comment 4 User image James Henstridge 2002-03-19 16:42:10 PST
The change doesn't look like it has any obvious problems.  I would probably make
the new marshal function static though -- no need to clutter the symbol table.
Comment 5 User image Andrew Hagen 2002-04-26 14:57:40 PDT
Also sounds important. Confirming.
Comment 6 User image Markus Schaber 2002-05-13 05:49:17 PDT
Is this patch going into CVS anytime soon (propably before the 1.0 final 
release)?
Comment 7 User image Judson Valeski 2002-05-31 07:54:32 PDT
we're not going to hold 1.0.1 for this.
Comment 8 User image Markus Schaber 2002-06-13 07:50:30 PDT
Created attachment 87515 [details] [diff] [review]
added NEW_WINDOW2 to gtkmozembedprivate.h

This patch replaces the patch already in here. The given patch didn't compile
with mozilla 1.0.0, mine does (at least with the debian source, but AFAIK the
debinan patches don't change anything here.). The only difference to Marks
patch is that NEW_WINDOW2 is added to the enum of possible signals in
gtkmozembedprivate.h.

It works fine on my machine, tried using debian pygtk 0.6.9-3 and current cvs
pygme (in gnome CVS server).
Comment 9 User image Mark Crichton 2002-12-12 12:01:57 PST
Created attachment 109151 [details] [diff] [review]
new_window2 implementation for gtk1 and gtk2

New new_window2 patch.	This has been tested with gtk1 and gtk2.  Hoping this
can actually get included at some point for people working on gtk language
bindings.
Comment 10 User image Markus Schaber 2003-02-12 12:08:15 PST
The current patch needs the patch from bug 121253 applied.

I know that bug 121253 is already closed, but this is to make clear that the patch doesn't compile using mozilla 1.0 or 1.2 based mozillas.

I also hope that this patch will be accepted soon, to help all pygme users (e. G. http://pykiosk.sourceforge.net/) because it is annoying to tell your users that not only they need a specific beta from mozilla, but they also have to patch and compile it themselves.
Comment 11 User image Vedran Miletic 2003-10-05 08:02:15 PDT
retargeting
Comment 12 User image Markus Schaber 2004-10-04 01:00:17 PDT
Hello? Anyone alive? ...

Note You need to log in before you can comment on or make changes to this bug.